/********************************************************************
 File: HardwareProfile.h

 Description:
 This file contains the main logic of the USBStickLogger project.
 USBStickLogger records serial data received from the UART on the
 connected USB thumb drive.

 Authors and Copyright:
 (c) 2011, Thomas Fischl <tfischl@gmx.de>

 Device: PIC24FJ64GB002
 Compiler: C30

 License:
 This file is open source. You can use it or parts of it in own
 open source projects. For closed or commercial projects you have to
 contact the authors listed above to get the permission for using
 this source code.

 This firmware uses libraries provided by Microchip. Please read the
 software licence agreement in the particular file for further
 information if you intend to use parts of this library in your own
 programs.
 
********************************************************************/

#ifndef _HARDWARE_PROFILE_H_
#define _HARDWARE_PROFILE_H_

// various clock values
#define GetSystemClock()            32000000UL
#define GetPeripheralClock()        (GetSystemClock())
#define GetInstructionClock()       (GetSystemClock() / 2)

// use the USB host MSD library
#define USE_USB_INTERFACE

// get the correct platform defines
#if defined(__PIC24F__)
    #include <p24fxxxx.h>
#elif defined(__PIC24H__)
    #include <p24hxxxx.h>
#else
	#error Unsupported platform
#endif

#endif  

